# $Revision: 1.37 $, $Date: 2010/09/19 05:38:56 $
Summary:	gettext libraries - cross MinGW32 version
Summary(pl.UTF-8):	Biblioteki gettext - wersja skrośna dla MinGW32
%define		realname		gettext
Name:		crossmingw32-%{realname}
Version:	0.18.1.1
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnu.org/gnu/gettext/%{realname}-%{version}.tar.gz
# Source0-md5:	3dd55b952826d2b32f51308f2f91aa89
Patch0:		%{realname}-libintl_by_gcj.patch
Patch1:		%{name}-kill_tools.patch
URL:		http://www.gnu.org/software/gettext/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	crossmingw32-libiconv
BuildRequires:	libtool
BuildRequires:	texinfo
Requires:	crossmingw32-libiconv
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
gettext libraries - cross MinGW32 version.

%description -l pl.UTF-8
Biblioteki gettext - wersja skrośna dla MinGW32.

%package static
Summary:	Static gettext libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki gettext (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static gettext libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki gettext (wersja skrośna MinGW32).

%package dll
Summary:	DLL gettext libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL gettext dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-libiconv-dll
Requires:	wine

%description dll
DLL gettext libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL gettext dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
cd gettext-runtime
%{__libtoolize}
%{__aclocal} -I m4 -I ../m4 -I gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd libasprintf
%{__aclocal} -I ../../m4 -I ../m4 -I gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../../gettext-tools
%{__aclocal} -I m4 -I ../gettext-runtime/m4 -I ../m4 -I gnulib-m4 -I libgrep/gnulib-m4 -I libgettextpo/gnulib-m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ..
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-csharp \
	--enable-static \
	--without-git

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

rm -f $RPM_BUILD_ROOT%{_libdir}/charset.alias
rm -rf $RPM_BUILD_ROOT%{_datadir}/{aclocal,doc,gettext,locale,man}
rm -rf $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libintl.dll.a
%{_libdir}/libintl.la
%{_libdir}/libasprintf.dll.a
%{_libdir}/libasprintf.la
%{_includedir}/autosprintf.h
%{_includedir}/libintl.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libintl.a
%{_libdir}/libasprintf.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libintl-8.dll
%{_dlldir}/libasprintf-0.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-gettext.spec,v $
Revision 1.37  2010/09/19 05:38:56  qboosh
- unified MinGW32 caps

Revision 1.36  2010/06/20 10:39:23  qboosh
- updated to 0.18.1.1
- updated kill-tools patch
- no glib2 or libunistring BR as tools are not built

Revision 1.35  2010/01/22 01:02:30  lkrotowski
- added bootstrap mode
- disabled building gettext-tools (patch)

Revision 1.34  2008/04/08 08:24:51  glen
- unify ftp.gnu.org urls

Revision 1.33  2008-01-14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.32  2007-11-15 22:12:36  qboosh
- updated to 0.17
- removed obsolete cross and localename patches
- build with SHELL=bash (bashisms in makefiles)
- needs gcc 4.1.x with pr29826 patch (or different gcc version) to build

Revision 1.31  2007-03-06 13:46:11  qboosh
- no private gcc dirs used here

Revision 1.30  2007/03/06 13:26:58  qboosh
- -dll R: libiconv-dll

Revision 1.29  2007/03/06 10:00:33  qboosh
- cleanup, separated -static,-dll

Revision 1.28  2007/02/25 15:01:06  czarny
- shared and static build

Revision 1.27  2007/02/20 21:08:23  qboosh
- added localename patch, now builds with w32api 3.8
- pkgconfig is not used

Revision 1.26  2007/02/20 19:53:19  czarny
- the real libs are back

Revision 1.25  2007/02/20 18:13:50  czarny
- clean ups

Revision 1.24  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.22  2006/11/29 22:19:18  qboosh
- updated to 0.16.1

Revision 1.21  2006/10/30 17:05:47  qboosh
- updated ac/am deps

Revision 1.20  2006/10/30 17:03:17  qboosh
- updated to 0.16, updated patch

Revision 1.19  2006/07/28 07:42:11  qboosh
- updated to 0.15, updated patch

Revision 1.18  2006/06/22 21:15:15  qboosh
- updated to 0.14.6

Revision 1.17  2005/05/23 18:51:37  qboosh
- updated to 0.14.5

Revision 1.16  2005/04/15 23:15:05  qboosh
- updated to 0.14.4

Revision 1.15  2005/03/16 23:38:15  qboosh
- updated to 0.14.3

Revision 1.14  2005/02/26 01:28:49  qboosh
- updated to 0.14.2, updated patch

Revision 1.13  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.12  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.11  2004/01/30 20:02:20  qboosh
- 0.14.1

Revision 1.10  2004/01/29 22:10:51  qboosh
- updated to 0.14

Revision 1.9  2003/12/20 14:20:03  qboosh
- there IS libasprintf (but requires gcc-c++)

Revision 1.8  2003/12/19 14:39:49  undefine
- there is no libasprintf.s (?)

Revision 1.7  2003/12/18 23:57:55  qboosh
- updated to 0.13.1

Revision 1.6  2003/12/01 21:41:55  qboosh
- updated to 0.13, updated patch(es), fixed files, don't include PE executables

Revision 1.5  2003/10/21 20:24:57  qboosh
- some description, defattr, BR: crossmingw32-gcc

Revision 1.4  2003/08/27 11:06:21  ggodlewski
- I forgot about patch

Revision 1.3  2003/08/27 10:13:07  ggodlewski
- 1.12.1 version

Revision 1.2  2003/08/25 21:16:10  ggodlewski
- I fotgot about adding patch...

Revision 1.1  2003/08/25 20:21:21  ggodlewski
- 1st release
